summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author nomnombtc2012-12-02 19:19:30 +0100
committer dsomero2012-12-11 22:22:27 +0100
commitea83fe7b988b6eccf66afb088780c567bdca6188 (patch)
tree45d7037417cd5256326e4549b3e02d0121d96a09
parent9abdf95a2af05f82627517ba6a57f1250143965b (diff)
downloadslackbuilds-ea83fe7b988b6eccf66afb088780c567bdca6188.tar.gz
network/bitcoin: Added. (P2P electronic cash system)
Signed-off-by: Heinz Wiesinger <pprkut@slackbuilds.org>
-rw-r--r--network/bitcoin/README13
-rw-r--r--network/bitcoin/bitcoin-qt.desktop10
-rw-r--r--network/bitcoin/bitcoin.SlackBuild124
-rw-r--r--network/bitcoin/bitcoin.info10
-rw-r--r--network/bitcoin/bitcoin.protocol12
-rw-r--r--network/bitcoin/doinst.sh4
-rw-r--r--network/bitcoin/slack-desc19
7 files changed, 192 insertions, 0 deletions
diff --git a/network/bitcoin/README b/network/bitcoin/README
new file mode 100644
index 0000000000..752e8ba035
--- /dev/null
+++ b/network/bitcoin/README
@@ -0,0 +1,13 @@
+bitcoin (P2P electronic cash system)
+
+Bitcoin is a free open source peer-to-peer electronic cash system
+that is completely decentralized, without the need for a central
+server or trusted parties. Users hold the crypto keys to their own
+money and transact directly with each other, with the help of
+a P2P network to check for double-spending.
+
+This requires: qrencode
+
+UPNP is disabled, it requires miniupnpc, which is not available on SBo.
+
+Package provides both, bitcoin-qt (GUI) and bitcoind (CLI).
diff --git a/network/bitcoin/bitcoin-qt.desktop b/network/bitcoin/bitcoin-qt.desktop
new file mode 100644
index 0000000000..c05a843f30
--- /dev/null
+++ b/network/bitcoin/bitcoin-qt.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Name=Bitcoin
+GenericName=Bitcoin QT-Client
+Comment=Bitcoin client to send and receive money
+Exec=/usr/bin/bitcoin-qt
+Icon=bitcoin
+StartupNotify=true
+Terminal=false
+Type=Application
+Categories=Network;P2P
diff --git a/network/bitcoin/bitcoin.SlackBuild b/network/bitcoin/bitcoin.SlackBuild
new file mode 100644
index 0000000000..9a66f865a7
--- /dev/null
+++ b/network/bitcoin/bitcoin.SlackBuild
@@ -0,0 +1,124 @@
+#!/bin/sh
+
+# Slackware build script for bitcoin
+
+# Copyright 2012 nomnombtc <nomnombtc@arcor.de>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=bitcoin
+VERSION=${VERSION:-0.7.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION-linux
+tar xvf $CWD/${PRGNAM}-$VERSION-linux.tar.gz
+cd $PRGNAM-$VERSION-linux
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cd src
+
+# build bitcoin-qt
+qmake \
+ QMAKE_CFLAGS+="$SLKCFLAGS" \
+ QMAKE_CXXFLAGS+="$SLKCFLAGS" \
+ "USE_UPNP=-" \
+ USE_SSL=1 \
+ USE_QRCODE=1
+
+make
+
+# build bitcoind
+cd src
+
+ # disable UPNP(this would require miniupnpc)
+ sed -i 's/USE_UPNP:=0/USE_UPNP:=/g' makefile.unix
+
+ # disable static linking, not supported by boost in slackware
+ sed -i 's/Bstatic/Bdynamic/g' makefile.unix
+
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ make -f makefile.unix \
+ bitcoind \
+ USE_SSL=1
+cd -
+
+mkdir -p $PKG/usr/bin
+mkdir -p $PKG/usr/share/{applications,kde4/services,pixmaps}
+
+install -m 0755 bitcoin-qt $PKG/usr/bin/
+install -m 0755 src/bitcoind $PKG/usr/bin/
+
+install -m 0644 src/qt/res/icons/bitcoin.png $PKG/usr/share/pixmaps/
+install -m 0644 $CWD/bitcoin-qt.desktop $PKG/usr/share/applications/
+install -m 0644 $CWD/bitcoin.protocol $PKG/usr/share/kde4/services/
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/README COPYING \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/network/bitcoin/bitcoin.info b/network/bitcoin/bitcoin.info
new file mode 100644
index 0000000000..1e670fddf6
--- /dev/null
+++ b/network/bitcoin/bitcoin.info
@@ -0,0 +1,10 @@
+PRGNAM="bitcoin"
+VERSION="0.7.1"
+HOMEPAGE="http://www.bitcoin.org"
+DOWNLOAD="http://sourceforge.net/projects/bitcoin/files/Bitcoin/bitcoin-0.7.1/bitcoin-0.7.1-linux.tar.gz"
+MD5SUM="e286c5de8489095d54e8a6a0e01cb1ab"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="qrencode"
+MAINTAINER="nomnombtc"
+EMAIL="nomnombtc@arcor.de"
diff --git a/network/bitcoin/bitcoin.protocol b/network/bitcoin/bitcoin.protocol
new file mode 100644
index 0000000000..a75e1f824b
--- /dev/null
+++ b/network/bitcoin/bitcoin.protocol
@@ -0,0 +1,12 @@
+[Protocol]
+exec=bitcoin-qt '%u'
+protocol=bitcoin
+input=none
+output=none
+helper=true
+listing=
+reading=false
+writing=false
+makedir=false
+deleting=false
+Icon=bitcoin
diff --git a/network/bitcoin/doinst.sh b/network/bitcoin/doinst.sh
new file mode 100644
index 0000000000..392c12adb9
--- /dev/null
+++ b/network/bitcoin/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
+fi
+
diff --git a/network/bitcoin/slack-desc b/network/bitcoin/slack-desc
new file mode 100644
index 0000000000..2fd0d8f8dc
--- /dev/null
+++ b/network/bitcoin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+bitcoin: bitcoin (P2P electronic cash system)
+bitcoin:
+bitcoin: Bitcoin is a free open source peer-to-peer electronic cash system
+bitcoin: that is completely decentralized, without the need for a central
+bitcoin: server or trusted parties. Users hold the crypto keys to their own
+bitcoin: money and transact directly with each other, with the help of
+bitcoin: a P2P network to check for double-spending.
+bitcoin:
+bitcoin: Project Website: http://www.bitcoin.org
+bitcoin:
+bitcoin: